### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-text-area/ecl-text-area.directive.ts`

### Implements

`DoCheck`

### Metadata

Selector | `textarea[eclTextArea]`

### Index

###### Inputs
disabled eclSize isInvalid size styleClass
###### HostBindings
class class.ecl-text-area--disabled class.ecl-text-area--invalid
###### Accessors
size disabled

### Constructor

`constructor(eclFormGroup: EclFormGroupComponent, ngControl: NgControl, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
eclFormGroup | `EclFormGroupComponent` | No
ngControl | `NgControl` | No
cd | `ChangeDetectorRef` | No

### Inputs

disabled

eclSize
Type : `string`
Default value : `'m'`

isInvalid
Type : `boolean`
Default value : `false`

size
Type : `string`

styleClass
Type : `string`

### HostBindings

class
Type : `any`

class.ecl-text-area--disabled

class.ecl-text-area--invalid

### Accessors

size
set `size(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

disabled
set `disabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""